#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define	module	ago
#
Summary:	Makes customizable human readable timedeltas
Name:		python-ago
Version:	0.0.6
Release:	10
License:	public domain
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/a/ago/ago-%{version}.tar.gz
# Source0-md5:	e2fdc21fb922b4fc21ec19c6eac6bd46
Patch0:		ago-python3.patch
URL:		https://bitbucket.org/russellballestrini/ago/overview
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
Requires:	python
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makes customizable human readable timedeltas.

%package -n	python3-%{module}
Summary:	Makes customizable human readable timedeltas
Group:		Libraries/Python
Requires:	python3

%description -n python3-%{module}
Makes customizable human readable timedeltas.

%prep
%setup  -q -n ago-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%py_install
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{_examplesdir}/python-%{module}-%{version}
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/*egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{_examplesdir}/python3-%{module}-%{version}
%{py3_sitescriptdir}/%{module}.py*
%{py3_sitescriptdir}/__pycache__/ago.cpython-*.py*
%{py3_sitescriptdir}/*egg-info
%endif
%changelog
* Mon Jul 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ago.git;a=log;h=master

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4793ec0
- release 10 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a5b654
- python 3.7 rebuild
- release 9 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d5b27e
- python 3.6
- release 8 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 64f46c8
- use rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8147809
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> da8d3cb
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6a4e6f7
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cd5a18d
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe01376
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b1d8dc0
- python 3.4
- release 3 (by relup.sh)

* Thu Apr 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 89529fe
- rel 2; correctly calculate for python3

* Thu Feb 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 63e3554
- up to 0.0.6

* Fri Feb 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c5bbe9
- initial

